Debian Bug report logs - #580756
cryptsetup: please silent egrep calls in postinst

version graph

Package: cryptsetup; Maintainer for cryptsetup is Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>; Source for cryptsetup is src:cryptsetup.

Reported by: daniel@debian.org

Date: Sat, 8 May 2010 10:45:01 UTC

Owned by: debian-live@lists.debian.org

Severity: wishlist

Fixed in version cryptsetup/2:1.1.1-1

Done: Jonas Meurer <mejo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>, debian-live@lists.debian.org:
Bug#580756; Package cryptsetup. (Sat, 08 May 2010 10:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>, debian-live@lists.debian.org. (Sat, 08 May 2010 10:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: "submit@bugs.debian.org >> Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: cryptsetup: please silent egrep calls in postinst
Date: Sat, 08 May 2010 12:42:42 +0200
Package: cryptsetup
Severity: wishlist
Owner: debian-live@lists.debian.org

Hi,

crypsetup greps in fstab for the root device, if crypsetup is installed 
in a chroot, and there's no fstab (on purpose), as it's the case when we 
build live systems, then the following messages are outputed:

---snip---
cryptsetup: WARNING: could not determine root device from /etc/fstab
egrep: /etc/fstab: No such file or directory
egrep: /etc/fstab: No such file or directory
---snap---

it would be very nice if you could make pass the -s switch to your egrep 
calls in the postinst and cryptsetup.functions file. by that, we still 
get the 'cryptset: WARNING: ...' message (which is perfectly fine), but 
not the annoying 'No such file' messages.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Jonas Meurer <mejo@debian.org>:
You have taken responsibility. (Wed, 26 May 2010 22:24:18 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Wed, 26 May 2010 22:24:19 GMT) Full text and rfc822 format available.

Message #10 received at 580756-close@bugs.debian.org (full text, mbox):

From: Jonas Meurer <mejo@debian.org>
To: 580756-close@bugs.debian.org
Subject: Bug#580756: fixed in cryptsetup 2:1.1.1-1
Date: Wed, 26 May 2010 22:20:59 +0000
Source: cryptsetup
Source-Version: 2:1.1.1-1

We believe that the bug you reported is fixed in the latest version of
cryptsetup, which is due to be installed in the Debian FTP archive:

cryptsetup-udeb_1.1.1-1_amd64.udeb
  to main/c/cryptsetup/cryptsetup-udeb_1.1.1-1_amd64.udeb
cryptsetup_1.1.1-1.debian.tar.gz
  to main/c/cryptsetup/cryptsetup_1.1.1-1.debian.tar.gz
cryptsetup_1.1.1-1.dsc
  to main/c/cryptsetup/cryptsetup_1.1.1-1.dsc
cryptsetup_1.1.1-1_amd64.deb
  to main/c/cryptsetup/cryptsetup_1.1.1-1_amd64.deb
cryptsetup_1.1.1.orig.tar.bz2
  to main/c/cryptsetup/cryptsetup_1.1.1.orig.tar.bz2
libcryptsetup-dev_1.1.1-1_amd64.deb
  to main/c/cryptsetup/libcryptsetup-dev_1.1.1-1_amd64.deb
libcryptsetup1_1.1.1-1_amd64.deb
  to main/c/cryptsetup/libcryptsetup1_1.1.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580756@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Meurer <mejo@debian.org> (supplier of updated cryptsetup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 26 May 2010 23:38:01 +0200
Source: cryptsetup
Binary: cryptsetup cryptsetup-udeb libcryptsetup1 libcryptsetup-dev
Architecture: source amd64
Version: 2:1.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>
Changed-By: Jonas Meurer <mejo@debian.org>
Description: 
 cryptsetup - configures encrypted block devices
 cryptsetup-udeb - configures encrypted block devices (udeb)
 libcryptsetup-dev - libcryptsetup development files
 libcryptsetup1 - libcryptsetup shared library
Closes: 574163 574948 576488 578428 578979 579932 580756 580898 581973 582914
Changes: 
 cryptsetup (2:1.1.1-1) unstable; urgency=low
 .
   * new upstream release, changes include:
     - detects and uses device-mapper udev support if available
     - fix luksOpen reading of passphrase on stdin if "-" keyfile specified
     - fix isLuks to initialise crypto backend (closes: #578979)
     - fix luksClose operation for stacked DM devices
   * remove all patches, they have all been merged upstream
   * redirect output of copy_exec in add_device() from initramfs cryptroot
     hook to stderr. fixes verbose run of mkinitramfs. (closes: #574163)
   * acknowledge NMU. thanks to maximilian attems. (closes: #576488)
   * change default for random key from /dev/random to /dev/urandom in
     README.Debian, extend explanation. (closes: #579932)
   * add comment to crypttab manpage about how to disable (pre)checks.
     (closes: #574948)
   * fix cryptdisks.functions to print cryptsource and crypttarget again at
     the passphrase prompt. (closes: #578428)
   * reorder build-depends, add pkg-config, change automake1.9 to automake
   * add new lintian overrides
   * switch to new dpkg source format "3.0 (quilt)", use upstream bzip tarball
   * add ${misc:Depends} to depends for libcryptsetup-dev
   * remove UID checks from initscripts, as these aren't meant to be invoked by
     users anyway, and the UID checks introduced dependency on /usr filesystem.
   * use grep -s for /etc/fstab in initramfs/cryptroot-hook. (closes: #580756)
   * note that fs modules fore passdev devices need to be added to initramfs
     in README.initramfs (closes: #580898)
   * merged from ubuntu:
     - Fix grammar error in debian/initramfs/cryptroot-script (closes: #581973)
   * add busybox to suggests, thanks to martin michlmayr. (closes: #582914)
Checksums-Sha1: 
 b16ca3d37830cf8a364fca97d5294b9e62b65f56 1844 cryptsetup_1.1.1-1.dsc
 cd2684ebc8fc7b23019d9102ed742699b037afe1 477800 cryptsetup_1.1.1.orig.tar.bz2
 db8a977e8da9693669bccdcdaf7fcd82fcd957c9 71764 cryptsetup_1.1.1-1.debian.tar.gz
 e6187c7989c334a797e93e881055550e36b839a7 407448 cryptsetup_1.1.1-1_amd64.deb
 3f9c11e74e63efaeb548f057f067a49ca41dc1ad 297298 cryptsetup-udeb_1.1.1-1_amd64.udeb
 184ae14708b7b2d15a2464269d51edc0672b9e10 75074 libcryptsetup1_1.1.1-1_amd64.deb
 86dfa344b44b70c1595ba4b5b8dbe718fee2ade9 85826 libcryptsetup-dev_1.1.1-1_amd64.deb
Checksums-Sha256: 
 cc536d70332bf0f73215a1330153dae122de65283faaaf9049c8806a370014f8 1844 cryptsetup_1.1.1-1.dsc
 a0d07cfc03d3a12d54e68eebb509e6ce45bbd5169ae277256ea7bd165cc246bd 477800 cryptsetup_1.1.1.orig.tar.bz2
 48c6dc2eefde41d02fa73137c74846f766ad49179f2a18a1286e6eef79db6525 71764 cryptsetup_1.1.1-1.debian.tar.gz
 31a16cd5ae5bf3b720305659d40e0fc593b03847f98c7d2bcfd604ca993af020 407448 cryptsetup_1.1.1-1_amd64.deb
 6baf855eb8190ee797768a42d5b57177716880f7d5dda2461c96bf291fa10041 297298 cryptsetup-udeb_1.1.1-1_amd64.udeb
 d1da73c64ef4a90aa9c3239ba351b13762f4f8b2048dfe8be0cb718f41237380 75074 libcryptsetup1_1.1.1-1_amd64.deb
 47f0536511fd30de408ec1f3bb4b02317850283f0e14e403d19776c27c83f7a3 85826 libcryptsetup-dev_1.1.1-1_amd64.deb
Files: 
 2eeca17f7e02c8d4af55eb0fe5586bb1 1844 admin optional cryptsetup_1.1.1-1.dsc
 9632f5cd4187e0b9118b070563da79c6 477800 admin optional cryptsetup_1.1.1.orig.tar.bz2
 97bfba6ed2977f749405118f0c85325f 71764 admin optional cryptsetup_1.1.1-1.debian.tar.gz
 4cbee03f56135f4445e40ddf40b1e224 407448 admin optional cryptsetup_1.1.1-1_amd64.deb
 0c29848620af804f9493fb1b6ce2c35f 297298 debian-installer optional cryptsetup-udeb_1.1.1-1_amd64.udeb
 cc698e16804685fe43de5e6f9dbdb182 75074 libs optional libcryptsetup1_1.1.1-1_amd64.deb
 8b3308bc59652e7c4c5f20b38a344d6c 85826 libdevel optional libcryptsetup-dev_1.1.1-1_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJL/ZcIAAoJEHUY1PcOVR4zFUIH/RDkzppiiRK6+TLycGXz8mGh
OyYYl3JDoC596m49P6Rxy5zMjVvCj2UCdExnlMcINeuHEE62v5M85NwAGH2vH89G
LlUvJ1JIyVzWlRgO+9D6MBEia7IQqNZiOn8OaqiBp5UgWKEiybL96Jt/SCI14AO+
1dv67OjZ3kkETaB0tqGeEl06Q2cLQnMWkdOlFnBELjzsP51JYe7LD1ffzeAX/LW+
QkX6IuUwk9QA2C1KpP0nI9vbyrbDkWGShjy1bij5tgj1W3bYUbeJ9a/p2xtx58Pd
nBUPsLAutzOtPksrPQiakTDbGJjU/kKeqpxkLskek9gSlvNCOiWdpCvdioqr17g=
=h167
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Jun 2010 07:40:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:33:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.